 body {
    margin: 0;
    background: #000;
    font-family: Arial, sans-serif;
    color: #fff;
    background-color: #9f9f9f;
}

hr {
    border: 0;
    background-color: transparent;
    height: 0;
}

.container {
    max-width: 1580px;
    margin: 0 auto;
    padding: 60px;
}

.row {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    background: rgba(0, 0, 0, 0.94);
    padding: 60px;
    border-radius: 12px;
}

.col {
    flex: 1 1 calc(33.333% - 20px);
    color: #fff;
    text-align: left;
    padding: 0px;
    font-size: 17px;
}

p, li {
    color: #a7becc;
    line-height: 22px;
}

.text-size {
    color: #a7becc;
    font-size: 16px;
}

a.link-color {
    color: #ffffff;
    text-decoration: none;
}

h3 {
    font-size: 20px;
}


ul li {
    padding-bottom: 23px;
}

ul {
    margin: 0px;
    padding: 0px 20px 0px 20px;
}

.col.code-image img {
    width: 100%;
    border-radius: 12px;
    margin-top: 26px;
}

.equipment-list {
    padding-bottom: 10px;
}

.contact-info {
    margin-left: 20px;
    border-top: 1px solid #242424;
    padding-top: 14px;
}

.text-size.contact-info {
    color: #ffffff;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.gallery-item {
    flex: 1 1 calc(33.333% - 20px);
    position: relative;
}

.gallery-item figure {
    margin: 0;
    position: relative;
    overflow: hidden;
    border-radius: 12px;
}

.gallery-item img {
    width: 100%;
    display: block;
    transition: transform .4s ease;
}

.gallery-item .overlay-bg {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.35);
    opacity: 0;
    transition: opacity .3s ease;
}

.gallery-item figcaption {
    position: absolute;
    bottom: 20px;
    left: 20px;
    color: white;
    font-size: 16px;
    font-weight: bold;
    opacity: 0;
    transform: translateY(15px);
    transition: all .3s ease;
}

.gallery-item:hover img {
    transform: scale(1.05);
}

.gallery-item:hover .overlay-bg {
    opacity: 1;
}

.gallery-item:hover figcaption {
    opacity: 1;
    transform: translateY(0);
    filter: drop-shadow(1px 1px 1px #000);
}
  .port-outer {
    max-width: 1580px;
    margin: 60px auto;
    background: #000;
    padding: 60px;
    box-sizing: border-box;
    gap: 30px;
    background: rgba(0, 0, 0, 0.94);
    padding: 40px 60px 60px 60px;
    border-radius: 12px;
  }

  .container-port {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 30px;
    flex-wrap: wrap;
  }

 .code-box {
    flex: 1 1 320px;
    max-width: 333px;
    background: #111;
    border: 1px solid #333;
    padding: 11px;
    font-family: Consolas, monospace;
    font-size: 14px;
    line-height: 1.5;
    overflow-y: auto;
    max-height: 800px;
    position: relative;
    color: #757575;
}

.copy-btn {
    position: absolute;
    top: 10px;
    right: 25px;
    background: #333;
    color: #fff;
    border: none;
    padding: 6px 10px;
    font-size: 12px;
    cursor: pointer;
  }

.copy-btn:hover {
    background: #555;
  }

.return-btn {
    display: block;
    background: #333;
    color: #fff;
    border: none;
    padding: 6px 15px;
    font-size: 12px;
    cursor: pointer;
    margin: 0px auto 20px auto;
    font-size: 14px;
    border-radius: 6px;
}

.text-note {
    font-style: italic;
    color: #7d7d7d;
    font-size: 14px;
    background-color: #1c1c1c;
    padding: 11px;
    border-radius: 14px;
    margin-top: 23px;
}

  pre {
    margin: 0;
    white-space: pre-wrap;
    word-break: break-word;
  }

  .desktop-img img {
    width: 600px;
    max-width: 100%;
    height: auto;
    display: block;
  }

  .mobile-img img {
    width: 320px;
    max-width: 100%;
    height: auto;
    display: block;
  }

.background-slider {
    position: fixed;
    inset: 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
    opacity: 0.4;
}

.background-slider img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    animation: fade 24s infinite;
}

.background-slider img:nth-child(1) {
    animation-delay: 0s;
}

.background-slider img:nth-child(2) {
    animation-delay: 8s;
}

.background-slider img:nth-child(3) {
    animation-delay: 16s;
}

@keyframes fade {
    0% {
        opacity: 0;
    }

    6% {
        opacity: 1;
    }

    30% {
        opacity: 1;
    }

    36% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

@media (max-width: 1700px) {

   .port-outer {
        margin: 60px;
    }

}

@media (max-width: 1279px) {

    .col.code-image,
    .col.text-about {
        flex: 1 1 calc(50% - 20px);
    }

    .col.code-image {
        display: none;
    }

    .row {
        padding: 40px;
    }

}

@media (max-width: 1228px) {

    .code-box {
        max-width: 922px;
        max-height: 170px;
    }

}

@media (max-width: 1204px) {

    .code-box {
        max-width: 576px;
    }

}

@media (max-width: 900px) {

    .container-port {
        flex-direction: column;
        align-items: center;
    }

  }

@media (max-width: 767px) {

    .col.code-image {
        display: none;
    }

    .col.text-about {
        flex: 1 1 100%;
    }

    .row {
        padding: 25px;
    }

    .container {
        padding: 25px;
    }

    ul li {
        padding-bottom: 15px;
    }

    .port-outer {
        margin: 24px;
        padding: 20px;
    }

}

@media (max-width: 620px) {

    .col.portfolio {
        flex: 1 1 calc(50% - 20px);
    }
}

@media (max-width: 500px) {

    .col.portfolio {
        flex: 1 1 100%;
    }

}